Bug 380081 - Review Request: rubygem-zoom - Ruby binding to ZOOM
Review Request: rubygem-zoom - Ruby binding to ZOOM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 09:26 EST by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 08:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.adam: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-11-13 09:26:46 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-zoom/rubygem-zoom.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-zoom/rubygem-zoom-0.3.0-1.fc8.src.rpm
Description: 
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface 
to a subset of the services specified by the Z39.50 standard, 
also known as the international standard ISO 23950.

koji build is successful on dist-f9.
http://koji.fedoraproject.org/koji/taskinfo?taskID=239378
Comment 1 Stewart Adam 2007-11-17 13:06:25 EST
+ source files match upstream: 117dd33cd73fa4fd7f32c52034142eb1394f9365

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
  * The obsoletes warning OK, explained in specfile
+ final provides and requires are sane:
$ rpm -q --provides --requires rubygem-zoom.x86_64
  rubygem(zoom) = 0.3.0-1.fc8
  zoom.so()(64bit)  
  rubygem-zoom = 0.3.0-1.fc8
  /usr/bin/ruby  
  libc.so.6()(64bit)  
  libc.so.6(GLIBC_2.2.5)(64bit)  
  libc.so.6(GLIBC_2.3)(64bit)  
  libc.so.6(GLIBC_2.3.4)(64bit)  
  libc.so.6(GLIBC_2.4)(64bit)  
  libcrypt.so.1()(64bit)  
  libcrypto.so.6()(64bit)  
  libdl.so.2()(64bit)  
  libexslt.so.0()(64bit)  
  libgcrypt.so.11()(64bit)  
  libgpg-error.so.0()(64bit)  
  libm.so.6()(64bit)  
  libpthread.so.0()(64bit)  
  libruby.so.1.8()(64bit)  
  libssl.so.6()(64bit)  
  libwrap.so.0()(64bit)  
  libxml2.so.2()(64bit)  
  libxslt.so.1()(64bit)  
  libyaz.so.3()(64bit)  
  libz.so.1()(64bit)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  rtld(GNU_HASH)  
  ruby(abi) = 1.8
  ruby(rubygems)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
ACCEPTED
Comment 2 Mamoru TASAKA 2007-11-18 02:04:19 EST
Thanks!

-------------------------------------------------------------
New Package CVS Request
=======================
Package Name:        rubygem-zoom
Short Description:   Ruby binding to ZOOM
Owners:              mtasaka
Branches:            F-7 F-8
Cvsextras Commits:   yes
Comment 3 Kevin Fenzi 2007-11-18 13:49:45 EST
cvs done.
Comment 4 Mamoru TASAKA 2007-11-19 08:21:57 EST
Rebuild done, requested on bodhi, closing.

Thank you for your review!

Note You need to log in before you can comment on or make changes to this bug.